Loading...
Searching...
No Matches
Access Constants

## Variables

const | Qore::Reflection::AC_PRIVATE = MC_PRIVATE
| describes private access; accessible from anywhere in a class hierarchy (similar to `protected` in C++ and Java) More...
const | Qore::Reflection::AC_PRIVATEINTERNAL = MC_PRIVATEINTERNAL
| describes internal private access; only accessible from the same class where the definition is made (similar to `private` in C++ and Java) More...
const | Qore::Reflection::AC_PUBLIC = MC_PUBLIC
| describes public access More...

## Detailed Description

Constants giving access information

Since
  Qore 0.9

## Variable Documentation

## AC_PRIVATE

const Qore::Reflection::AC_PRIVATE = MC_PRIVATE

describes private access; accessible from anywhere in a class hierarchy (similar to `protected` in C++ and Java)

Equivalent to Qore::Reflection::MC_PRIVATE

## AC_PRIVATEINTERNAL

const Qore::Reflection::AC_PRIVATEINTERNAL = MC_PRIVATEINTERNAL

describes internal private access; only accessible from the same class where the definition is made (similar to `private` in C++ and Java)

Equivalent to Qore::Reflection::MC_PRIVATEINTERNAL

## AC_PUBLIC

const Qore::Reflection::AC_PUBLIC = MC_PUBLIC

describes public access

Equivalent to Qore::Reflection::MC_PUBLIC